Package org.apache.commons.compress.utils

# Class BoundedInputStream

java.lang.Object
java.io.InputStream
java.io.FilterInputStream
org.apache.commons.io.input.BoundedInputStream
org.apache.commons.compress.utils.BoundedInputStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

@Deprecated public class BoundedInputStream extends BoundedInputStream
Deprecated.
Use `BoundedInputStream`.
A stream that limits reading from a wrapped stream to a given number of bytes.

Since:
  1.6
This class is not thread-safe

- ## Field Summary

  ### Fields inherited from class java.io.FilterInputStream

  `in`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BoundedInputStream(InputStream in, long size)`
  Deprecated.
  Creates the stream that will at most read the given amount of bytes from the given stream.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getBytesRemaining()`
  Deprecated.
  Gets how many bytes remain to read.

  ### Methods inherited from class org.apache.commons.io.input.BoundedInputStream

  `available, close, getCount, getMaxLength, isPropagateClose, mark, markSupported, onMaxLength, read, read, read, reset, setPropagateClose, skip, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BoundedInputStream

    public BoundedInputStream(InputStream in, long size)
    Deprecated.
    Creates the stream that will at most read the given amount of bytes from the given stream.
    Parameters:
      `in` - the stream to read from
      `size` - the maximum amount of bytes to read

- ## Method Details

  - ### getBytesRemaining

    public long getBytesRemaining()
    Deprecated.
    Gets how many bytes remain to read. TODO Use Apache Commons IO 2.16.0 org.apache.commons.io.input.BoundedInputStream.getRemaining() when released.
    Returns:
      bytes how many bytes remain to read.
    Since:
      1.21